Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface AVKey

    public interface AVKey

Field Summary
`static String` | `CACHE_LOW_WATER`
`static String` | `CACHE_SIZE`
`static String` | `DATA_FILE_CACHE_CLASS_NAME`
`static String` | `DATA_FILE_CACHE_CONFIGURATION_FILE_NAME`
`static String` | `DISPLAY_ICON`
`static String` | `DISPLAY_NAME`
`static String` | `ELEVATION_MODEL`
`static String` | `EXTENT`
`static String` | `FOV`
`static String` | `FRAME_CONTROLLER`
`static String` | `FRAME_CONTROLLER_CLASS_NAME`
`static String` | `GLOBE`
`static String` | `GLOBE_CLASS_NAME`
`static String` | `INITIAL_LATITUDE`
`static String` | `INITIAL_LONGITUDE`
`static String` | `INPUT_HANDLER_CLASS_NAME`
`static String` | `LAYER`
`static String` | `LAYERS`
`static String` | `LAYERS_CLASS_NAMES`
`static String` | `LOGGER_NAME`
`static String` | `MEMORY_CACHE_CLASS_NAME`
`static String` | `MODEL`
`static String` | `MODEL_CLASS_NAME`
`static String` | `PICKED_OBJECT`
`static String` | `PICKED_OBJECT_ID`
`static String` | `PICKED_OBJECT_PARENT_LAYER`
`static String` | `PICKED_OBJECT_PARENT_LAYER_NAME`
`static String` | `POSITION`
`static String` | `RETRIEVAL_POOL_SIZE`
`static String` | `RETRIEVAL_QUEUE_SIZE`
`static String` | `RETRIEVAL_QUEUE_STALE_REQUEST_LIMIT`
`static String` | `RETRIEVAL_SERVICE_CLASS_NAME`
`static String` | `RETRIEVER_STATE`
`static String` | `SCENE_CONTROLLER`
`static String` | `SCENE_CONTROLLER_CLASS_NAME`
`static String` | `SECTOR`
`static String` | `SENDER`
`static String` | `THREADED_TASK_POOL_SIZE`
`static String` | `THREADED_TASK_QUEUE_SIZE`
`static String` | `THREADED_TASK_SERVICE_CLASS_NAME`
`static String` | `URL_CONNECT_TIMEOUT`
`static String` | `URL_READ_TIMEOUT`
`static String` | `VERTICAL_EXAGGERATION`
`static String` | `VIEW`
`static String` | `VIEW_CLASS_NAME`

Field Detail

### CACHE_LOW_WATER

    static final String CACHE_LOW_WATER

See Also:
  Constant Field Values

### CACHE_SIZE

    static final String CACHE_SIZE

See Also:
  Constant Field Values

### DATA_FILE_CACHE_CLASS_NAME

    static final String DATA_FILE_CACHE_CLASS_NAME

See Also:
  Constant Field Values

### DATA_FILE_CACHE_CONFIGURATION_FILE_NAME

    static final String DATA_FILE_CACHE_CONFIGURATION_FILE_NAME

See Also:
  Constant Field Values

### DISPLAY_ICON

    static final String DISPLAY_ICON

See Also:
  Constant Field Values

### DISPLAY_NAME

    static final String DISPLAY_NAME

See Also:
  Constant Field Values

### ELEVATION_MODEL

    static final String ELEVATION_MODEL

See Also:
  Constant Field Values

### EXTENT

    static final String EXTENT

See Also:
  Constant Field Values

### FOV

    static final String FOV

See Also:
  Constant Field Values

### FRAME_CONTROLLER

    static final String FRAME_CONTROLLER

See Also:
  Constant Field Values

### FRAME_CONTROLLER_CLASS_NAME

    static final String FRAME_CONTROLLER_CLASS_NAME

See Also:
  Constant Field Values

### GLOBE

    static final String GLOBE

See Also:
  Constant Field Values

### GLOBE_CLASS_NAME

    static final String GLOBE_CLASS_NAME

See Also:
  Constant Field Values

### INITIAL_LATITUDE

    static final String INITIAL_LATITUDE

See Also:
  Constant Field Values

### INITIAL_LONGITUDE

    static final String INITIAL_LONGITUDE

See Also:
  Constant Field Values

### INPUT_HANDLER_CLASS_NAME

    static final String INPUT_HANDLER_CLASS_NAME

See Also:
  Constant Field Values

### LAYER

    static final String LAYER

See Also:
  Constant Field Values

### LAYERS

    static final String LAYERS

See Also:
  Constant Field Values

### LAYERS_CLASS_NAMES

    static final String LAYERS_CLASS_NAMES

See Also:
  Constant Field Values

### LOGGER_NAME

    static final String LOGGER_NAME

See Also:
  Constant Field Values

### MEMORY_CACHE_CLASS_NAME

    static final String MEMORY_CACHE_CLASS_NAME

See Also:
  Constant Field Values

### MODEL

    static final String MODEL

See Also:
  Constant Field Values

### MODEL_CLASS_NAME

    static final String MODEL_CLASS_NAME

See Also:
  Constant Field Values

### PICKED_OBJECT

    static final String PICKED_OBJECT

See Also:
  Constant Field Values

### PICKED_OBJECT_ID

    static final String PICKED_OBJECT_ID

See Also:
  Constant Field Values

### PICKED_OBJECT_PARENT_LAYER

    static final String PICKED_OBJECT_PARENT_LAYER

See Also:
  Constant Field Values

### PICKED_OBJECT_PARENT_LAYER_NAME

    static final String PICKED_OBJECT_PARENT_LAYER_NAME

See Also:
  Constant Field Values

### POSITION

    static final String POSITION

See Also:
  Constant Field Values

### RETRIEVAL_POOL_SIZE

    static final String RETRIEVAL_POOL_SIZE

See Also:
  Constant Field Values

### RETRIEVAL_QUEUE_SIZE

    static final String RETRIEVAL_QUEUE_SIZE

See Also:
  Constant Field Values

### RETRIEVAL_QUEUE_STALE_REQUEST_LIMIT

    static final String RETRIEVAL_QUEUE_STALE_REQUEST_LIMIT

See Also:
  Constant Field Values

### RETRIEVAL_SERVICE_CLASS_NAME

    static final String RETRIEVAL_SERVICE_CLASS_NAME

See Also:
  Constant Field Values

### RETRIEVER_STATE

    static final String RETRIEVER_STATE

See Also:
  Constant Field Values

### SCENE_CONTROLLER

    static final String SCENE_CONTROLLER

See Also:
  Constant Field Values

### SCENE_CONTROLLER_CLASS_NAME

    static final String SCENE_CONTROLLER_CLASS_NAME

See Also:
  Constant Field Values

### SECTOR

    static final String SECTOR

See Also:
  Constant Field Values

### SENDER

    static final String SENDER

See Also:
  Constant Field Values

### THREADED_TASK_POOL_SIZE

    static final String THREADED_TASK_POOL_SIZE

See Also:
  Constant Field Values

### THREADED_TASK_QUEUE_SIZE

    static final String THREADED_TASK_QUEUE_SIZE

See Also:
  Constant Field Values

### THREADED_TASK_SERVICE_CLASS_NAME

    static final String THREADED_TASK_SERVICE_CLASS_NAME

See Also:
  Constant Field Values

### URL_CONNECT_TIMEOUT

    static final String URL_CONNECT_TIMEOUT

See Also:
  Constant Field Values

### URL_READ_TIMEOUT

    static final String URL_READ_TIMEOUT

See Also:
  Constant Field Values

### VERTICAL_EXAGGERATION

    static final String VERTICAL_EXAGGERATION

See Also:
  Constant Field Values

### VIEW

    static final String VIEW

See Also:
  Constant Field Values

### VIEW_CLASS_NAME

    static final String VIEW_CLASS_NAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD